Summary:	OpenSync Python plugin
Summary(pl.UTF-8):	Wtyczka Pythona do OpenSync
Name:		libopensync-plugin-python
Version:	0.36
Release:	14
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensync.org/download/releases/0.36/%{name}-%{version}.tar.gz
# Source0-md5:	b8a2d4632c88af3633453c668d2a7b11
Patch0:		cmake.patch
Patch1:		branch.diff
URL:		http://www.opensync.org/
BuildRequires:	cmake >= 2.8
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libopensync-devel >= 1:0.39-7
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2
BuildRequires:	rpmbuild(macros) >= 1.577
BuildRequires:	sed >= 4.0
Requires:	python-opensync >= 1:0.39
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains Python plugin for OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera wtyczkę Pythona dla szkieletu OpenSync.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# use system version
%{__rm} cmake/modules/FindPythonLibs.cmake

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/libopensync1/python-plugins/sample.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS src/sample.py
%attr(755,root,root) %{_libdir}/libopensync1/plugins/python-module.so
%dir %{_datadir}/libopensync1/python-plugins
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopensync-plugin-python.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> cdf2521
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 909db91
- release 13 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 81d91a7
- rebuild with python 3.8
- release 12 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 76d1af1
- release 11 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e233211
- python 3.6
- release 10 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> 490800b
- python3 rebuild
- release 9 (by relup.sh)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> bb4d839
- x32 rebuild
- release 8 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> c23ac17
- R: python-opensync
- package python-plugins dir here (this is the code which loads python plugins)
- release 7

* Wed Feb 23 2011 Elan Ruusamäe <glen@pld-linux.org> 1b1f705
- use noarch dir for python plugins (dir itself owned by python-opensync); rel 6

* Wed Dec 22 2010 Elan Ruusamäe <glen@pld-linux.org> 4ba565e
- add branch.diff (excluded cmake junk), builds now

* Fri Jul 09 2010 Elan Ruusamäe <glen@pld-linux.org> 7fb666b
- try building

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8343fca
- release 4

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> 5deb44d
- rel 3

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> 3551ed5
- rel 3

* Fri May 30 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 082716c
- add epoch to BR:libopensync-devel

* Fri May 30 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 72d09d8
- rel.2

* Fri May 30 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> affb922
- cosmetic

* Sun May 18 2008 aredridel <aredridel@pld-linux.org> 3a8bdbb
- 0.36

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> f84c9b0
- more BRs, drop *.la
- include python-plugins dir

* Fri Aug 31 2007 Elan Ruusamäe <glen@pld-linux.org> f6217d3
- rel 1

